Bug 105963 - samba to samba connections doesn't cache password
samba to samba connections doesn't cache password
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-09-29 20:29 EDT by Nick Marsh
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-23 18:20:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fedora smb.conf (10.56 KB, text/plain)
2003-09-29 20:34 EDT, Nick Marsh
no flags Details
mac smb.conf (1.57 KB, text/plain)
2003-09-29 20:34 EDT, Nick Marsh
no flags Details

  None (edit)
Description Nick Marsh 2003-09-29 20:29:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
I have a workgroup, 1 Fedora box and 1 Mac OS 10.2. Every resource I access with
samba requires a password multiple times. For example if I copy a folder to my
Ferdora box that has 13 files in it, I get prompted for my password 13 times.
Very annoying.

Both systems are setup to "encrypt passwords = yes"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Both samba servers setup to start at boot.
2. smb://mac/nmarsh
3. Enter password, enter password.
4. Change directories.
5. Enter password, enter password, enter password, enter password.

Actual Results:  Get propmted for every resource browsed or copied.

Expected Results:  Should work like it did in RH 9.

Additional info:

Mac SMBd information...

[Mac:~] root# smbd -V
Version 2.2.3a (build 26)

[Mac:~] root# uname -a
Darwin Mac.local. 6.8 Darwin Kernel Version 6.8: Wed Sep 10 15:20:55 PDT 2003;
root:xnu/xnu-344.49.obj~2/RELEASE_PPC  Power Macintosh powerpc
Comment 1 Nick Marsh 2003-09-29 20:34:07 EDT
Created attachment 94842 [details]
fedora smb.conf

Added fedora smb.conf
Comment 2 Nick Marsh 2003-09-29 20:34:36 EDT
Created attachment 94843 [details]
mac smb.conf

Added mac smb.conf
Comment 3 Eugenia Loli-Queru 2003-09-30 00:56:38 EDT
That's similar to my bug: #85116
But for me, sometimes it just won't connect at all. After many retries, it will
connect, it will ask me for the password, again and again and again...
Comment 4 Nick Marsh 2003-10-04 15:16:21 EDT
Tested with Fedora 2 to RHL8 and 9 and had the same results. I think it's a
problem with Samba 3.x talking to Samba 2.x
Comment 5 Nick Marsh 2003-11-23 18:20:43 EST
Seems to be fixed in FC 1.

Note You need to log in before you can comment on or make changes to this bug.